/*
 * InputCaptureTextBrowser.h
 *
 *  Created on: 24.09.2014
 *      Author: stefan.detter
 */

#ifndef INPUTCAPTURETEXTBROWSER_H_
#define INPUTCAPTURETEXTBROWSER_H_

#include <QTextBrowser>

class InputCaptureTextBrowser : public QTextBrowser
{
	Q_OBJECT
public:
	InputCaptureTextBrowser(QWidget * parent = 0);
	virtual ~InputCaptureTextBrowser();

	void activateCapturing(bool on);

signals:
	void keyPressed(QKeyEvent * ev);

protected:
	virtual void keyPressEvent ( QKeyEvent * ev );

private:
	bool m_capturingActivated;
};



#endif /* INPUTCAPTURETEXTBROWSER_H_ */
